# SubmitMatch_PostgreSQLImpl Class Reference

`#include <RankingServer_PostgreSQL.h>`

Inheritance diagram for SubmitMatch_PostgreSQLImpl:

List of all members.

## Public Member Functions

virtual void | Process (void *context)
| Does SQL Processing.
virtual void | HandleResult (bool wasCancelled, void *context)

## Static Public Member Functions

static SubmitMatch_PostgreSQLImpl * | Alloc (void)
| Use these for allocation/deallocation if building to a DLL, so allocation and deallocation happen in the same DLL.

## Detailed Description

Submit ratings, scores, for a particular game for two players Use CalculateNewEloRating in Elo.h to determine new ratings for the two players involved in the match. If you don't know the ratings for the two players involved beforehand to pass to CalculateNewEloRating, call GetRatingForParticipant() to look it up.

## Member Function Documentation

void SubmitMatch_PostgreSQLImpl::HandleResult | ( | bool | wasCancelled,
|  | void * | context |
| ) |  |  | `[virtual]`

Calls the callback specified by RankingServerFunctor::callback (which you set) or RankingServer_PostgreSQL::AssignCallback() (which sets it for you) Default implementation also deallocates the structure.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/RankingServerDB_PostgreRepository/RankingServer_PostgreSQL.h
- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/RankingServerDB_PostgreRepository/RankingServer_PostgreSQL.cpp